(function(WIN){
  var isOnline = location.host.indexOf('.com') !== -1;
  var domain = 'jituancaiyun.' + (isOnline ? 'com' : 'net');
  var protocol = location.protocol;
  var staticUrl = protocol + '//statics.' + domain;
  var apiUrl = protocol + '//api.' + domain;
  var adminUrl = protocol + '//admin.' + domain;
  var superAdminUrl = protocol + '//superadmin.' + domain
  var approveApiUrl = protocol + '//approve.api.' + domain
  var noteApiUrl = protocol + '//note.api.' + domain
  var avatarHost = protocol + '//filesystem.api.' + domain
  var h5ApiUrl = protocol + '//h5.' + domain

  WIN._APP_CONFIG = {
    domain: domain,
    name: '移动彩云',
    shortName: '彩云',
    province: '浙江',
    orgType: 1,
    company: '浙江移动',
    address: '浙江省杭州市江干区解放东路19号',
    supportWeb: true,
    suppertPc: true,
    slogan: '让工作沟通更便捷',
    logo: staticUrl + '/config/logo.png',
    rlogo: staticUrl + '/config/rlogo.png',
    favicon: staticUrl + '/config/favicon.ico',
    avatarHost: avatarHost, // 获取头像相关组件@xm-Avatar，仓库：enterprise-admin-platform等
    avatarUrl: avatarHost + '/sfs/avatar?uid=',
    downloadUrl: 'https://' + domain + '/d',
    staticUrl: staticUrl,
    apiUrl: apiUrl,
    adminUrl: adminUrl,
    superAdminUrl: superAdminUrl,
    superadminUrl: superAdminUrl,
    loginUrl: protocol + '//admin.' + domain + '/power/user/view/login.html',
    userInfoDoUrl: protocol + '//note.api.' + domain + '/hta/org/userInfo.do',
    approveUrl: isOnline ? apiUrl + '/approve/1/index.html' : approveApiUrl + '/approve-c/index.html',
    expenseUrl: approveApiUrl + '/approve/caiyun/expense-new/index.html',
    signInUrl: protocol + '//signin.api.' + domain + '/signin/1/index.html',
    busUrl: approveApiUrl + '/bus/index.html',
    workReportUrl: apiUrl + '/workreport/1/index.html',
    workreportUrl: apiUrl + '/workreport/1/index.html',
    industryTemplateUrl: h5ApiUrl + '/template-c/index.html#/',
    webUrl: protocol + '//web.' + domain,
    webHost: '//web.' + domain,
    weixinShareUrl: protocol + '//h5.' + domain + '/sop/wechat/share/config.json',
    isOnline: isOnline, // 判断使用测试域名还是线上域名（仅涉及有测试环境的省份），仓库：enterprise-admin-platform等
    provinceRegionCode: '330000', // 企业认证相关，仓库：enterprise-admin-platform等
    defaultCityRegionCode: '330101', // 企业认证相关，仓库：enterprise-admin-platform等
    noteApiUrl: noteApiUrl, // 报销、审批相关，仓库：enterprise-admin-platform-old
    approveApiUrl: approveApiUrl, // 报销、审批相关，仓库：enterprise-admin-platform-old
    approveApiDevUrl: approveApiUrl + '/approve/1/index.html#/', // 报销、审批相关，仓库：enterprise-admin-platform-old
    approveApiProUrl: approveApiUrl + '/approve/1/index.html#/', // 报销、审批相关，仓库：enterprise-admin-platform-old
    showMenu: true, // 顶部菜单栏展示
    supportResource: true, // 首页显示认证后的企业资源，仓库：enterprise-admin-platform-old
    supportAuthorize: true, // 首页显示企业认证入口，仓库：enterprise-admin-platform-old
    supportVIP: true, // 首页显示管理员VIP群，仓库：enterprise-admin-platform-old
    supportSync: true, // 首页显示通讯录同步入口，仓库：enterprise-admin-platform-old
    supportGuide: true, // 首页显示新手上路，仓库：enterprise-admin-platform-old
    supportOrgCode: true, // 首页显示企业编码，仓库：enterprise-admin-platform-old
    showIndexFooter: true, // 企业选择页面显示底部信息，仓库：enterprise-admin-platform-old
    showService: true, // 页面显示客服电话，仓库：enterprise-admin-platform-old
    showCaiyunFooter: true, // 选择企业页面显示彩云官网等相关信息，仓库：enterprise-admin-platform-old
    portalPDF: staticUrl + '/information/doc/APP_Portal.pptx', // 首页后台使用手册下载地址，仓库：enterprise-admin-platform-old
    clientPDF: staticUrl + '/information/doc/App_Client.pptx', // 首页客户端使用手册下载地址， 仓库：enterprise-admin-platform-old
    entpayUrl: adminUrl + '/entpay/htmls/serviceCenter/serviceCenter.html', // 企业引用页面进入企业服务的地址，仓库：enterprise-admin-platform-old
    apiHost: apiUrl,
    h5Host: h5ApiUrl,
    adminHost: adminUrl,
    staticHost: staticUrl,
  }
})(window);